Contents

# Add-in Functions, List of Analysis Functions Part Two

The Add-in functions are supplied by the UNO com.sun.star.sheet.addin.Analysis service.

Tene hajajo injeesate...

Surki - Assishsha - Fuula Ledi-Giddo

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## IMTAN

Returns the tangent of a complex number.

## CONVERT

Converts a value from one unit of measurement to the corresponding value in another unit of measurement.

## COMPLEX

Gumu addi hanqafaanchiwiinni nna hedote hanqafawaanchiwiinni qolantino xurqa kiirooti.

#### Syntax

COMPLEX(RealNum; INum [; Suffix])

RealNum is the real coefficient of the complex number.

INum is the imaginary coefficient of the complex number.

Jeefotekala doorshu dirtooti, "i" woy "j".

#### Example

=Xurqa(3;4;"j") 3+4jqolanno.

## FACTDOUBLE

Lame fakitoriaale kiiro qolanno.

#### Syntax

FACTDOUBLE(Kiiro)

Kiiro !!, KiiroLame fakitoriaale qolanno, Kiiro Zerotenni taaltino woy roortino intigereeti.

Wo'ma kiirrara FACTDOUBLE(n) qolanno:

2*4*6*8* ... *n

Xea kiirrara FACTDOUBLE(n) qolanno:

1*3*5*7* ... *n

FACTDOUBLE(0) tirotenni 1 qolanno.

#### Example

=FACT(0) 1 qolanno.

=FACT(3) 6 qolanno.

=FACT(0) 1 qolanno.

## IMABS

Gumu xurqa kiirora coitte hornyooti.

#### Syntax

IMABS("XurqaKiiro")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=ABS(12) 12 qolanno.

## IMAGINARY

Gumu hedote xurqa kiiro hanqafaanchooti.

#### Syntax

HEDOTENNI("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=Hedotenni("4+3j") 3 qolanno.

## IMARGUMENT

Gumu xurqa kiiro tidhooti (phi angile).

#### Syntax

IMARGUMENT("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMSQRT("3+4i") 2+1i qolanno.

## IMCONJUGATE

TGumu xurqa kiirora ledote xaaddino xurqa kiirooti.

#### Syntax

IMCONJUGATE("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMCONJUGATE("1+j") 1-j qolanno.

## IMDIV

Gumu lame xurqa kiiro beehaacheeti.

#### Syntax

IMDIV("Kiiraamaancho"; "Kiiraancho")

Numerator, Denominator are complex numbers that are entered in the form "x+yi" or "x+yj".

#### Example

=IMDIV("-238+240i";"10+24i") returns 5+12i.

## IMEXP

Gumu e wolqa nna xurqa kiirooti. Soorrantannokki e hedotenni 2.71828182845904 hornyo afidhino.

#### Syntax

IMEXP("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMEXP("1+j") returns 1.47+2.29j (rounded).

## IMLN

Gumu kalaqamu logartizime (kaimu e) xurqa kiirora. Sorrantannokki e hedotenni 2.71828182845904 hornyo afidhino.

#### Syntax

IMLN("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMLN("1+j") returns 0.35+0.79j (rounded).

## IMLOG10

Gumu gutu logaartizime (kaima 10) xurqa kiirora.

#### Syntax

IMLOG10("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMLOG10("1+j") returns 0.15+0.34j (rounded).

## IMLOG2

Gumu xurqakiirora lamu logaartizimeeti.

#### Syntax

IMLOG2("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMLOG2("1+j") returns 0.50+1.13j (rounded).

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

#### Syntax

IMPOWER("ComplexNumber"; Kiiro)

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

Kiiro wolqate kiirooti.

#### Example

=IMSQRT("3+4i") 2+1i qolanno.

## IMPRODUCT

The result is the product of a set of complex numbers.

#### Syntax

IMPRODUCT(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1; Complex 2; … ; Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=IMREAL("1+3j") 1qolanno.

## IMREAL

Gumu xurqa kiirora addi kiirote hanqafaanchooti.

#### Syntax

IMREAL("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMREAL("1+3j") 1qolanno.

## IMSQRT

Gumu xurqa kiiro lamu wolqaati.

#### Syntax

IMSQRT("XurqaKiiro")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMSQRT("3+4i") 2+1i qolanno.

## IMSUB

Gumu lame xurqa kiirra xeishshaati.

#### Syntax

IMSUB("XurqaKiirora1"; "XurqaKiirora2")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

#### Example

=IMREAL("1+3j") 1qolanno.

## IMSUM

The result is the sum of a set of complex numbers.

#### Syntax

IMSUM(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1; Complex 2; … ; Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=IMREAL("1+3j") 1qolanno.

## OCT2BIN

The result is the string representing the number in binary (base-2) form for the octal number string entered.

#### Syntax

OCT2BIN(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Darguwa guma ikkitanno darguwa kiirooti.

#### Example

=OCT2BIN("3";3) returns "011".

## OCT2DEC

The result is the number for the octal number string entered.

#### Syntax

OCT2DEC(Kiiro)

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Example

=OCT2DEC("144") returns 100.

## OCT2HEX

The result is the string representing the number in hexadecimal form for the octal number string entered.

#### Syntax

OCT2HEX(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Darguwa guma ikkitanno darguwa kiirooti.

#### Example

=OCT2HEX("144";4) returns "0064".

Fiixoo'mino umo

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category

Please support us!